<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <data>
       
        
        <menuitem id="account.menu_finance_reports" name="Reports" parent="account.menu_finance" sequence="10"/>
        <menuitem id="menu_account_account_type" parent="account.account_account_menu" action="account.action_account_type_form"/>
        <menuitem id="account_reports.menu_account_financial_reports_tree" name="Financial Reports" parent="account.account_management_menu" 
                  action="account_reports.action_account_financial_report_tree"/>
        <menuitem id="account.account_analytic_tag_menu" name="Analytic Accounts Tags" parent="account.menu_analytic_accounting" action="analytic.account_analytic_tag_action"/>
        
        <record id="tpstst_action_account_form" model="ir.actions.act_window">
            <field name="name">Accounts</field>
            <field name="res_model">account.account</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form,graph</field>
            <field name="search_view_id" ref="account.view_account_search"/>
            <field name="view_id" ref="account.view_account_list"/>
            <field name="context">{'readonly_all':False}</field>
            <field name="help" type="html">
              <p class="oe_view_nocontent_create">
                Click to add an account.
              </p><p>
                An account is part of a ledger allowing your company
                to register all kinds of debit and credit transactions.
                Companies present their annual accounts in two main parts: the
                balance sheet and the income statement (profit and loss
                account). The annual accounts of a company are required by law
                to disclose a certain amount of information.
              </p>
            </field>
        </record>
        
        <menuitem action="tpstst_action_account_form" id="menu_tpstst_action_account_account_form" parent="account.account_account_menu"/>

        <record id="tpstst_journal_form" model="ir.ui.view">
             <field name="name">tpstst.account.journal.form</field>
             <field name="model">account.journal</field>
             <field name="inherit_id" ref="account.view_account_journal_form"/>
             <field name="arch" type="xml">
                 <data>
                    <button name="toggle_active" position="replace">
                        <button name="toggle_active" type="object"
                                class="oe_stat_button" icon="fa-archive">
                            <field name="active" widget="boolean_button"
                                options='{"terminology": "archive"}'/>
                        </button>
                    </button>
                    <field name="default_credit_account_id" position="after">
                        <field name="funds_journal" attrs="{'invisible':[('type','!=','general')]}"/>
                    </field>
                    <field name="company_id" position="after">
                        <field name="transaction_no"/>
                    </field>
                    <field name="refund_sequence" position="after">
                        <field name="refund_code" attrs="{'invisible':[('refund_sequence','=',False)]}"/>
                    </field>
                    <xpath expr="//field[@name='refund_sequence_id']/.." position="after">
                        <field name="dn_code"
                               attrs="{'invisible': [('type', 'not in', ['sale', 'purchase'])]}"/>
                        <label for="dn_sequence_number_next"
                               attrs="{'invisible': [('type', 'not in', ['sale', 'purchase'])]}"/>
                        <div attrs="{'invisible': [('type', 'not in', ['sale', 'purchase'])]}">
                            <field name="dn_sequence_number_next" style="padding-right: 1.0em"/>
                            <field name="dn_sequence_id" required="0"
                                   attrs="{'readonly': 1}"/>
                        </div>
                    </xpath>
                 </data>
             </field>
        </record>

        <record id="tpstst_view_account_form" model="ir.ui.view">
             <field name="name">tpstst.account.account.form</field>
             <field name="model">account.account</field>
             <field name="inherit_id" ref="account.view_account_form"/>
             <field name="arch" type="xml">
                <xpath expr="//div[field[@name='reconcile']]" position="after">
                   <field name="government_subsidy"/>
                   <!--<field name="is_deferred_account"/>-->
                   <field name="deferred_account_id" domain="[('id','!=',active_id)]" />
                   <field name="deferred_for" attrs="{'invisible':[('deferred_account_id','=',False)],'required':[('deferred_account_id','!=',False)]}"/>
                   <!--,('user_type_id','=',user_type_id)-->
<!--                   <field name="deferred_source_account_id" domain="[('is_deferred_account','=',False),('id','!=',active_id)]" 
                        attrs="{'required':[('is_deferred_account','=',True)],'invisible':[('is_deferred_account','=',False)]}"/>-->
                </xpath>
                <xpath expr="//field[@name='deprecated']" position="after">
                    <field name="dont_show_report" attrs="{'invisible':[('user_type_id','not in', [1,2])]}"/>
                    <label for="remarks"/>
                    <newline/>
                    <field name="remarks" nolabel="1" colspan="2"/>
                </xpath>
                <xpath expr="//sheet" position="after">
                    <div class="oe_chatter">
                        <field name="message_follower_ids" widget="mail_followers"/>
                        <field name="message_ids" widget="mail_thread"/>
                    </div>
                </xpath>
             </field>
        </record>
       
       
        <record id="view_pool_of_funds_form" model="ir.ui.view">
            <field name="name">view.pool.of.funds.form</field>
            <field name="model">pool.of.funds</field>
            <field name="arch" type="xml">
                <form string="Funds">
                    <header>
                        <button name="button_confirm" class="oe_highlight" states="draft" string="Confirm" type="object" 
                                groups="v11_tpstst_custom.group_accounting"/>
                        <button name="button_set_to_draft" invisible="0" states="cancel" string="Set to draft" type="object" 
                                groups="v11_tpstst_custom.group_accounting"/>
                        <button name="button_cancel" invisible="0" states="draft,confirm" string="Cancel" type="object" 
                                groups="v11_tpstst_custom.group_accounting"/>
                        <button name="open_wizard_amend_funds" type="object" string="Adjust" colspan="1"
                                states="confirm" context="{'default_type':'adjust'}" 
                                groups="v11_tpstst_custom.group_accounting"/>
                        <button name="open_wizard_amend_funds" type="object" string="Transfer Balance" colspan="1" 
                                states="confirm" context="{'default_type':'move'}"
                                groups="v11_tpstst_custom.group_accounting"/>
                        <field name="state" widget="statusbar" statusbar_visible="draft,confirm" statusbar_colors='{"confirm":"blue"}'/>
                    </header>
                    <sheet>
                        <group>
                            <group colspan="4" col="4">
                                <group colspan="4" col="4">
                                    <field name="name" required="1" attrs="{'readonly':[('state','!=','draft')]}"/>
                                    <field name="analytic_tag_id"/>
                                    <field name="type_of_fund"/>
                                </group>
                                <newline/>
                                <notebook colspan="4">
                                    <page string="General" name="general">
                                        <group>
                                            <group colspan="4" col="6">
                                                <field name="total_donation"/>
                                                <field name="total_utilized"/>
                                                <field name="total_amount"/>
                                                <!--<field name="over_utilize_limit"/>-->
                                            </group>
                                            <group colspan="4" string="Description">
                                                <field name="description" nolabel="1" colspan="4" placeholder="Add description or criteria of judgement"/>
                                            </group>
                                            <separator string="Logs" colspan="4"/>
                                            <field name="log_ids" readonly="1" nolabel="1" colspan="4">
                                                <tree>
                                                    <field name="create_uid"/>
                                                    <field name="create_date"/>
                                                    <field name="transaction_date"/>
                                                    <field name="transfer_funds_id"/>
                                                    <!-- <field name="inv_id"/> -->
                                                    <field name="move_id"/>
                                                    <!--<field name="adv_voucher_id"/>-->
                                                    <field name="voucher_id"/>
                                                    <field name="amount"/>
                                                    <field name="remarks"/>
                                                </tree>
                                                <form>
                                                    <group>
                                                        <group colspan="4" col="4">
                                                            <field name="create_uid"/>
                                                            <field name="create_date"/>
                                                            <field name="transaction_date"/>
                                                            <field name="transfer_funds_id"/>
                                                            <field name="amount" readonly="1"/>
                                                            <!-- <field name="inv_id"/> -->
                                                            <field name="move_id"/>
                                                            <!--<field name="adv_voucher_id"/>-->
                                                            <field name="voucher_id"/>
                                                            <field name="remarks"/>
                                                            <field name="log_for" readonly="1" invisible="1"/>
                                                            <newline/>
                                                            <separator string="Journal Entries" colspan="4"/>
                                                            <field name="move_ids" colspan="4" nolabel="1"/>
                                                        </group>
                                                    </group>
                                                </form>
                                            </field>
                                        </group>
                                    </page>
                                    <page string="Accounting" name="accounting">
                                        <group>
                                            <group colspan="4" col="4">
                                                <separator string="Journal Entries" colspan="4"/>
                                                <field name="move_line_ids" colspan="4" nolabel="1">
                                                    <tree string="Journal Entries">
                                                        <field name="date"/>
                                                        <field name="move_id"/>
                                                        <field name="name"/>
                                                        <field name="journal_id"/>
                                                        <field name="account_id"/>
                                                        <field name="debit"/>
                                                        <field name="credit"/>
                                                    </tree>
                                                </field>
                                            </group>
                                        </group>
                                    </page>
                                    <!-- <page string="Donors" name="donor">
                                        <group>
                                            <group colspan="4" col="4">
                                                <field name="partner_ids" colspan="4" nolabel="1" context="{'default_is_company':True,'tree_view_ref':'v11_tpstst_custom.corporate_partner_tree_view'}"/>
                                            </group>
                                        </group>
                                    </page> -->
<!--                                    <page string="Programmes" name="programme">
                                        <group>
                                            <group colspan="4" col="4">
                                                <field name="programme_categ_ids" colspan="4" nolabel="1"  context="{'default_product_type':'course','product_type':'course'}"/>
                                            </group>
                                        </group>
                                    </page>
                                    <page string="Email Templates">
                                        <group colspan="4" col="4">
                                            <field name="pof_approved_template"/>
                                            <field name="pof_rejected_template"/>
                                        </group>
                                    </page>-->
                                </notebook>
                            </group>
                        </group>
                    </sheet>
                    <div class="oe_chatter">
                        <field name="message_follower_ids" widget="mail_followers"/>
                        <field name="message_ids" widget="mail_thread"/>
                    </div>
                </form>
            </field>
        </record>
        
        <record id="view_pool_of_funds_tree" model="ir.ui.view">
            <field name="name">view.pool.of.funds.tree</field>
            <field name="model">pool.of.funds</field>
            <field name="arch" type="xml">
                <tree string="Funds">
                    <field name="name"/>
                    <field name="total_donation"/>
                    <field name="total_utilized"/>
                    <field name="total_amount"/>
                </tree>
            </field>
        </record>
        
        <record id="action_pool_of_funds" model="ir.actions.act_window">
            <field name="name">Funds</field>
            <field name="res_model">pool.of.funds</field>
            <field name="view_type">form</field>
            <field name="help" type="html">
              <p class="oe_view_nocontent_create">
                Click to create a Funds.
              </p>
            </field>
        </record>
        
        <menuitem id="menu_funds_config" name="Funds"
            parent="account.menu_finance" sequence="10" />
        
        <menuitem id="menu_action_pool_of_funds" action="action_pool_of_funds" parent="v11_tpstst_custom.menu_funds_config"
            sequence="5"/> 

        <record id="view_type_of_funds_form" model="ir.ui.view">
            <field name="name">view.type.of.funds.form</field>
            <field name="model">type.of.funds</field>
            <field name="arch" type="xml">
                <form string="Type of Funds">
                    <sheet>
                        <group>
                            <group>
                                <field name="name" required="1"/>
                            </group>
                            <group>
                            </group>
                           <!-- <group colspan="4" col="4">
                                <separator string="Funds" colspan="4"/>
                                <field name="funds_ids" nolabel="1" colspan="4"/>
                            </group>-->
                            <group colspan="4" col="4">
                                <separator string="Accounts" colspan="4"/>
                                <field name="account_ids" nolabel="1" colspan="4"/>
                            </group>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>
        
        <record id="view_type_of_funds_tree" model="ir.ui.view">
            <field name="name">view.type.of.funds.tree</field>
            <field name="model">type.of.funds</field>
            <field name="arch" type="xml">
                <tree string="Type of Funds">
                    <field name="name"/>
                </tree>
            </field>
        </record>
        
        <record id="action_type_of_funds" model="ir.actions.act_window">
            <field name="name">Type of Funds</field>
            <field name="res_model">type.of.funds</field>
            <field name="view_type">form</field>
            <field name="help" type="html">
              <p class="oe_view_nocontent_create">
                Click to create a Type of Funds.
              </p>
            </field>
        </record>


        <menuitem id="menu_action_type_of_funds" 
                  action="action_type_of_funds"
                  parent="v11_tpstst_custom.menu_funds_config" 
                  sequence="10"/>
        
        <!--Track Funds-->
        <record id="view_fund_track_form" model="ir.ui.view">
            <field name="name">view.fund.track.form</field>
            <field name="model">fund.track</field>
            <field name="arch" type="xml">
                <form string="Funds Track" create="false">
                    <sheet>
                        <group>
                           <field name="name"/>
                           <field name="amount"/>
                           <field name="delete_by"/>
                           <field name="delete_date"/>
                           <field name="move_id"/>
                           <field name="voucher_id"/>
                           <field name="inv_id"/>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>
        
        <record id="view_fund_track_tree" model="ir.ui.view">
            <field name="name">view.fund.track.tree</field>
            <field name="model">fund.track</field>
            <field name="arch" type="xml">
                <tree string="Funds Track" create="false">
                    <field name="name"/>
                    <field name="delete_by"/>
                    <field name="delete_date"/>
                </tree>
            </field>
        </record>
        
        <record id="action_fund_track" model="ir.actions.act_window">
            <field name="name">Funds Track</field>
            <field name="res_model">fund.track</field>
            <field name="view_type">form</field>
        </record>
        
        <menuitem id="menu_action_fund_track" 
                  action="action_fund_track"
                  sequence="200"
                  groups="v11_tpstst_custom.group_hide_menues"/>
<!--                  groups="base.group_erp_manager"/>-->
        
        <menuitem id="account.menu_product_template_action" name="Sellable Products"
            parent="account.menu_finance_receivables"
            action="product.product_template_action" sequence="110" groups="group_hide_menues"/>
        
        <record id="account.action_account_form" model="ir.actions.act_window">
            <field name="name">Chart of Accounts</field>
            <field name="res_model">account.account</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,kanban,form</field>
            <field name="search_view_id" ref="account.view_account_search"/>
            <field name="view_id" ref="account.view_account_list"/>
            <field name="context">{'readonly_all':False}</field>
            <field name="help" type="html">
              <p class="oe_view_nocontent_create">
                Click to add an account.
              </p><p>
                An account is part of a ledger allowing your company
                to register all kinds of debit and credit transactions.
                Companies present their annual accounts in two main parts: the
                balance sheet and the income statement (profit and loss
                account). The annual accounts of a company are required by law
                to disclose a certain amount of information.
              </p>
            </field>
        </record>
        
        <record id="account.action_tax_form" model="ir.actions.act_window">
            <field name="name">Taxes</field>
            <field name="res_model">account.tax</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,kanban,form</field>
            <field name="domain" eval="False"/> <!-- Force empty -->
            <field name="context">{'search_default_sale': True, 'search_default_purchase': True, 'active_test': False, 'readonly_all':False}</field>
            <field name="view_id" ref="account.view_tax_tree"/>
        </record>
        
        <record id="account.action_account_fiscal_position_form" model="ir.actions.act_window">
            <field name="name">Fiscal Positions</field>
            <field name="res_model">account.fiscal.position</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,kanban,form</field>
            <field name="context">{'readonly_all':False}</field>
        </record>
        
        <record id="account.action_account_bank_journal_form" model="ir.actions.act_window">
            <field name="name">Bank Accounts</field>
            <field name="res_model">account.journal</field>
            <field name="view_mode">tree,kanban,form</field>
            <field name="view_ids" eval="[(5, 0, 0),
                (0, 0, {'view_mode': 'tree', 'view_id': ref('account.view_account_bank_journal_tree')}),
                (0, 0, {'view_mode': 'kanban', 'view_id': ref('account.account_bank_journal_view_kanban')}),
                (0, 0, {'view_mode': 'form', 'view_id': ref('account.view_account_bank_journal_form')})]"/>
            <field name="domain">[('type', '=', 'bank')]</field>
            <field name="context">{'default_type': 'bank', 'readonly_all':False}</field>
            <field name="help" type="html">
              <p class="oe_view_nocontent_create">
                Click to add a bank account.
              </p>
            </field>
        </record>
        
        <record id="account.action_account_journal_form" model="ir.actions.act_window">
            <field name="name">Journals</field>
            <field name="res_model">account.journal</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,kanban,form</field>
            <field name="view_ids" eval="[(5, 0, 0),
                (0, 0, {'view_mode': 'tree', 'view_id': ref('account.view_account_journal_tree')}),
                (0, 0, {'view_mode': 'kanban', 'view_id': ref('account.account_journal_view_kanban')}),
                (0, 0, {'view_mode': 'form', 'view_id': ref('account.view_account_journal_form')})]"/>
            <field name="context">{'readonly_all':False}</field>
            <field name="help" type="html">
              <p class="oe_view_nocontent_create">
                Click to add a journal.
              </p><p>
                A journal is used to record transactions of all accounting data
                related to the day-to-day business.
              </p><p>
                A typical company may use one journal per payment method (cash,
                bank accounts, checks), one purchase journal, one sales journal
                and one for miscellaneous information.
              </p>
            </field>
        </record>
        
        <record id="account.action_account_type_form" model="ir.actions.act_window">
            <field name="name">Account Types</field>
            <field name="res_model">account.account.type</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="search_view_id" ref="account.view_account_type_search"/>
            <field name="context">{'readonly_all':False}</field>
            <field name="help" type="html">
              <p class="oe_view_nocontent_create">
                Click to define a new account type.
              </p><p>
                An account type is used to determine how an account is used in
                each journal. The deferral method of an account type determines
                the process for the annual closing. Reports such as the Balance
                Sheet and the Profit and Loss report use the category
                (profit/loss or balance sheet).
              </p>
            </field>
        </record>
        
        <record id="account.account_tag_action" model="ir.actions.act_window">
            <field name="name">Account Tags</field>
            <field name="res_model">account.account.tag</field>
            <field name="view_type">form</field>
            <field name="context">{'readonly_all':False}</field>
            <field name="help" type="html">
              <p class="oe_view_nocontent_create">
                Click to add a new tag.
              </p>
            </field>
        </record>
        
        <record id="account.action_account_group_tree" model="ir.actions.act_window">
            <field name="name">Account Groups</field>
            <field name="res_model">account.group</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="search_view_id" ref="account.view_account_group_search"/>
            <field name="context">{'readonly_all':False}</field>
        </record>
        
        <record id="tpstst_product_product_view_tree" model="ir.ui.view">
            <field name="name">tpstst.product.product.tree</field>
            <field name="model">product.product</field>
            <field name="inherit_id" ref="account.product_product_view_tree"/>
            <field name="arch" type="xml">
               <field name="default_code" position="replace"/>
            </field>
        </record>
        
        <record id="tpstst_view_tax_form" model="ir.ui.view">
            <field name="name">tpstst.account.tax.form</field>
            <field name="model">account.tax</field>
            <field name="inherit_id" ref="account.view_tax_form"/>
            <field name="arch" type="xml">        
                <button name="toggle_active" position="replace">
                    <button name="toggle_active" type="object"
                            class="oe_stat_button" icon="fa-archive">
                        <field name="active" widget="boolean_button"
                            options='{"terminology": "archive"}'/>
                    </button>
                </button>
                <xpath expr="//sheet" position="after">
                    <div class="oe_chatter">
                        <field name="message_follower_ids" widget="mail_followers"/>
                        <field name="message_ids" widget="mail_thread"/>
                    </div>
                </xpath>
            </field>
        </record>
        
        <record id="tpstst_account_tag_view_form" model="ir.ui.view">
            <field name="name">tpstst.account.account.tag</field>
            <field name="model">account.account.tag</field>
            <field name="inherit_id" ref="account.account_tag_view_form"/>
            <field name="arch" type="xml">        
                <button name="toggle_active" position="replace">
                    <button name="toggle_active" type="object"
                            class="oe_stat_button" icon="fa-archive">
                        <field name="active" widget="boolean_button"
                            options='{"terminology": "archive"}'/>
                    </button>
                </button>
                <xpath expr="//sheet" position="after">
                    <div class="oe_chatter">
                        <field name="message_follower_ids" widget="mail_followers"/>
                        <field name="message_ids" widget="mail_thread"/>
                    </div>
                </xpath>
            </field>
        </record>
        
        <record id="tpstst_account_model_line_view_form" model="ir.ui.view">
            <field name="name">tpstst.account.model.line.form</field>
            <field name="model">account.model.line</field>
            <field name="inherit_id" ref="v11_recurring_entries.view_model_line_form"/>
            <field name="arch" type="xml">
                <field name="analytic_account_id" position="after">
                    <field name="funds_id"/>
                    <field name="analytic_tag_id" invisible="1"/>
                </field>
            </field>
        </record>
        
        <record id="tpstst_account_model_line_view_tree" model="ir.ui.view">
            <field name="name">tpstst.account.model.line.tree</field>
            <field name="model">account.model.line</field>
            <field name="inherit_id" ref="v11_recurring_entries.view_model_line_tree"/>
            <field name="arch" type="xml">
                <field name="analytic_account_id" position="after">
                    <field name="funds_id"/>
                    <field name="analytic_tag_id" invisible="1"/>
                </field>
            </field>
        </record>
        
        <record id="tpstst_bank_statement_form_view" model="ir.ui.view">
            <field name="name">tpstst.bank.statement.form.view</field>
            <field name="model">account.bank.statement</field>
            <field name="inherit_id" ref="account.view_bank_statement_form"/>
            <field name="arch" type="xml">
                <field name="journal_id" position="before">
                    <field name="payment_method_id"/>
                </field>
                <field name="journal_id" position="attributes">
                    <attribute name="invisible">1</attribute>
                    <attribute name="required">0</attribute>
                </field>
                <xpath expr="//notebook" position="before">
                    <group>
                        <field name="pos_session_id"/>
                    </group>
                </xpath>
                <xpath expr="//notebook/page[@name='statement_line_ids']/field[@name='line_ids']" position="replace">
                    <field name="line_ids" context="{'date': date, 'pos_session_id': pos_session_id, 'bank_statement': id}">
                        <tree string="Statement lines" decoration-muted="journal_entry_ids">
                            <field name="sequence"  widget="handle"/>
                            <field name="journal_entry_ids" invisible="1"/>
                            <field name="date" attrs="{'readonly' : [('journal_entry_ids', '!=', [])] }"/>
                            <field name="name" attrs="{'readonly' : [('journal_entry_ids', '!=', [])] }"/>
                            <field name="partner_id" domain="['|',('parent_id','=',False),('is_company','=',True)]"
                                 context="{'default_supplier': 1}"
                                 attrs="{'readonly' : [('journal_entry_ids', '!=', [])] }"/>

                            <field name="pos_statement_id" string="POS Order"/>
                            <field name="account_id"/>
                            <field name="ref" attrs="{'readonly' : [('journal_entry_ids', '!=', [])] }"/>
                            <field name="amount" attrs="{'readonly' : [('journal_entry_ids', '!=', [])] }"/>
                            <field name="journal_currency_id" invisible="1"/>
                            <field name="amount_currency" invisible="1" attrs="{'readonly' : [('journal_entry_ids', '!=', [])] }"/>
                            <field name="currency_id" options="{'no_create': True}" invisible="1" attrs="{'readonly' : [('journal_entry_ids', '!=', [])] }"/>
                            <field name="bank_account_id" invisible="1" attrs="{'readonly' : [('journal_entry_ids', '!=', [])] }"
                                domain="['|', ('partner_id', '=', partner_id), ('partner_id', '=', False)]"/>
                        </tree>
                    </field>
                </xpath>
            </field>
        </record>

        <record id="tpstst_bank_statement_line_form_view" model="ir.ui.view">
            <field name="name">tpstst.bank.statement.line.form.view</field>
            <field name="model">account.bank.statement.line</field>
            <field name="inherit_id" ref="account.view_bank_statement_line_form"/>
            <field name="arch" type="xml">
                <field name="sequence" position="after">
                    <field name="pos_statement_id" string="POS Order"/>
                    <field name="account_id"/>
                    <newline/>
                    <separator string="Journal Items" colspan="4"/>
                    <field name="journal_entry_ids" colspan="4" nolabel="1">
                        <tree>
                            <field name="date"/>
                            <field name="value_date"/>
                            <field name="move_id"/>
                            <field name="journal_id"/>
                            <field name="name"/>
                            <field name="ref"/>
                            <field name="partner_id"/>
                            <field name="pos_payment_method_id" string="Payment Method"/>
                            <field name="account_id"/>
                            <field name="analytic_account_id"/>
                            <field name="analytic_tag_id"/>
                            <field name="full_reconcile_id"/>
                            <field name="debit"/>
                            <field name="credit"/>
                            <field name="balance"/>
                            <field name="amount_residual"/>
                            <field name="date_maturity"/>
                        </tree>
                    </field>
                </field>
                <field name="statement_id" position="replace"/>
            </field>
        </record>
        
        
        <!--Account Analytic-->
        <record id="tpstst_view_account_analytic_line_pivot" model="ir.ui.view">
            <field name="name">tpstst.account.analytic.line.pivot</field>
            <field name="model">account.analytic.line</field>
            <field name="inherit_id" ref="analytic.view_account_analytic_line_pivot"/>
            <field name="arch" type="xml">
                <field name="account_id" position="replace">
                    <field name="tag_id" type="row"/>
                </field>
                <field name="partner_id" position="replace"/>
                <field name="unit_amount" position="replace"/>
            </field>
        </record>
        
        <record id="view_account_analytic_line_tree_inherit_account" model="ir.ui.view">
            <field name="name">account.analytic.line.tree.inherit.account</field>
            <field name="model">account.analytic.line</field>
            <field name="inherit_id" ref="analytic.view_account_analytic_line_tree"/>
            <field name="arch" type="xml">
                <data>
                    <xpath expr="//field[@name='account_id']" position="after">
                        <field name="tag_id"/>
                    </xpath>
                </data>
            </field>
        </record>
        
        <record id="tpstst_account_analytic_line_form_inherit" model="ir.ui.view">
            <field name="name">tpstst.account.analytic.line.form.inherit</field>
            <field name="model">account.analytic.line</field>
            <field name="inherit_id" ref="analytic.view_account_analytic_line_form"/>
            <field name="arch" type="xml">
                <data>
                    <xpath expr="//field[@name='tag_ids']" position="after">
                        <field name="tag_id"/>
                    </xpath>
                </data>
            </field>
        </record>
        
    </data>
</odoo>
